# - GNSSTk: GNSS data processing library and applications by SGL @ ARL:UT.
#The primary goals of the GNSSTk project are to:
# * provide applications for use by the GNSS and satellite navigation community.
# * provide a core library to facilitate the development of GNSS applications.
#
#==============================================================================
# The source code provided by the GNSSTk is distributed under the GNU LGPL, Version 3.
#
# * This license gives all users the right to use and redistribute the code.
# * Users of the GNSSTk are not required to open their source, according to the LGPL.
# * This makes the GNSSTk a practical choice for commercial projects.
# * Full text copies of the GPL (COPYING.txt) and the LGPL (COPYING.LESSER.txt) are included with the GNSSTk distribution package.
#
# For more information about the GPL or LGP, please refer to the following:
#
# * http://www.gnu.org/copyleft/lesser.html
# * http://www.gnu.org/licenses/gpl-howto.html
#==============================================================================

set( GNSSTK_FOUND TRUE )
set( GNSSTK_PYTHON_FOUND OFF )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was GNSSTKConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/GNSSTK" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set( GNSSTK_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include/gnsstk14" )
set( GNSSTK_BINDIR "${PACKAGE_PREFIX_DIR}/bin" )
set( GNSSTK_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64" )
set( GNSSTK_RUNTIME_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64" )
set( GNSSTK_ROOT_DIR "${PACKAGE_PREFIX_DIR}" )
if ( GNSSTK_PYTHON_FOUND )
  set( GNSSTK_PYTHON_DIR "${PACKAGE_PREFIX_DIR}/")
endif( GNSSTK_PYTHON_FOUND )

include("${PACKAGE_PREFIX_DIR}/lib64/cmake/GNSSTK/GNSSTKTargets.cmake")

message(STATUS "GNSSTk found at ${GNSSTK_ROOT_DIR}")
